{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}

{{form_start(form,{"attr":{
    'novalidate':'novalidate'
}})}}
<div class="row">
<div class="col-xs-12 col-md-6">
    <div class="content-box-header">
        <div class="panel-title">{{"Manage order"|trans}}</div>
      
      <div class="panel-options">
        {% if (order.getStatus() == "complete" or order.getStatus() == "new") and (order.getInvoices().count() > 0) %}
          <a target="_blank" href="{{path('orders_invoice_print',{
            id:order.id,
            invoice_id:order.getInvoices().first().getId()
          })}}"><i class="far fa-file-pdf"></i></a>
        {% endif %}
      </div>
    </div>
    <div class="content-box-large box-with-header">

            {{form_row(form.show_number)}}
            
            {{form_row(form.show_status)}}

            {{form_row(form.show_created_at)}}
            {% if is_granted('ROLE_ADMIN_ORDERS') %}
              <div class="action">
                  {% if order.getStatus() == "new" %}
                      
                  {% elseif order.getStatus() == "complete" %}
                      <button class="btn btn-danger" type="submit">
                          {{"Cancel Order"|trans}}
                      </button>
                  {% endif %}

                  {% if order.getInvoices().count() < 1 and order.getStatus()!='canceled'  %}
                      <a target="__blank" class="btn btn-primary" href = "{{path('orders_invoice_create',{
                        id:order.id
                      })}}">{{"Create invoice"|trans}}</a>
                  {% endif %}
              </div> 
            {% endif %}
   
           

  </div>
</div>

<div class="col-xs-12 col-md-6">
        <div class="content-box-header">
            <div class="panel-title">{{"Totals"|trans}}</div>
          
          <div class="panel-options">
             
          </div>
        </div>
        <div class="content-box-large box-with-header">
                
    
                {{form_row(form.show_total_excl_tax)}}

                {{form_row(form.show_tax)}}

                {{form_row(form.show_total_incl_tax)}}
             
                {{form_row(form.show_items_ordered)}}
       
               
    
      </div>
    </div>



</div>
<div class="row">
        <div class="col-xs-12 col-md-6">
                <div class="content-box-header">
                    <div class="panel-title">{{"Customer data"|trans}}</div>
                  
                  <div class="panel-options">
                     
                  </div>
                </div>
                <div class="content-box-large box-with-header">
                        
            
                    {{form_row(form.show_is_company)}}

                    {{form_row(form.show_name)}}

                    {{form_row(form.show_identification)}}

                    {{form_row(form.show_vat)}}

                    {{form_row(form.show_id_card)}}

                    {{form_row(form.show_email)}}

                    {{form_row(form.show_phone)}}
                     
            
                        
              </div>
            </div>

            <div class="col-xs-12 col-md-6">
                    <div class="content-box-header">
                        <div class="panel-title">{{"Customer address"|trans}}</div>
                      
                      <div class="panel-options">
                         
                      </div>
                    </div>
                    <div class="content-box-large box-with-header">
                            
                            {{form_row(form.show_shipping_address)}}
                
                            {{form_row(form.show_billing_address)}}
                
                            {{form_row(form.show_details)}}
                            
                  </div>
                </div>
</div> 
<div class="row">
    <div class="col-xs-12">
        <div class="content-box-header">
            <div class="panel-title">{{"Invoices"|trans}}</div>
          
          <div class="panel-options">
              
          </div>
        </div>
        <div class="content-box-large box-with-header">
                
              
                <div class="table-responsive">
                <table class="table table-striped">
                        <thead>
                          <tr>
                            <th>{{"Date created"|trans}}</th>
                            <th>{{"Due date"|trans}}</th>
                            <th>{{"Series"|trans}}</th>
                            <th>{{"Number"|trans}}</th>
                            <th>{{"Total"|trans}}</th>
                            <th>{{"Actions"|trans}}</th>
                          </tr>
                        </thead>
                        <tbody >
                         {% for invoice in order.getInvoices() %}
                          <tr>
                            <td>
                              {{invoice.getCreatedAt()|date("d.m.Y")}}
                            </td>
                            <td>
                                {{invoice.getDueDate()|date("d.m.Y")}}
                             </td>
                             <td>
                              {{invoice.getSeries()}}
                             </td>
                             <td>
                              {{invoice.getNumber()}}
                             </td>
                             <td>
                                {{invoice.getTotalPaid() ~" "~ default_currency_symbol}}
                             </td>
                             <td>
                              {% if (order.getStatus() == "complete" or order.getStatus() == "new") and (order.getInvoices().count() > 0) %}
                                  <a target="_blank" style="margin-right:2px;" href="{{path('orders_invoice_print',{
                                    id:order.id,
                                    invoice_id:invoice.getId()
                                  })}}"><i class="far fa-file-pdf"></i></a>
                              {% endif %}
                               {% if is_granted('ROLE_ADMIN_ORDERS') %}
                                  {% if order.getStatus()!="canceled" %}
                                    <a href="{{path('orders_invoice_delete',{
                                      id:order.id,
                                      invoice_id:invoice.id
                                  })}}">
                                      <i class="fa fa-trash-alt"></i>
                                  </a>
                                  {% endif %}
                              {% endif %}
                             
                             </td>
                          </tr>
                         {% endfor %}
                        </tbody>
                      </table>
             </div>
    
       
               
      </div>
    </div>
</div> 
<div class="row">
        <div class="col-xs-12">
            <div class="content-box-header">
                <div class="panel-title">{{"Ordered Items"|trans}}</div>
              
              <div class="panel-options">
                  {% if is_granted('ROLE_ADMIN_ORDERS') %}
                      {% if order.getStatus() != "canceled" %}
                          <a href="#" data-toggle="modal" data-target="#itemsModal"><i class="fa fa-plus"></i></a>
                      {% endif %}
                  {% endif %}
              </div>
            </div>
            <div class="content-box-large box-with-header">
                    
                    <div class="items-messages">

                    </div>
                    <div class="table-responsive">
                    <table class="table table-striped">
                            <thead>
                              <tr>
                                <th>{{"Product"|trans}}</th>
                                <th>{{"Sku"|trans}}</th>
                                <th>{{"Qty"|trans}}</th>
                                <th>{{"Warehouse"|trans}}</th>
                                <th>{{"Price"|trans}}</th>
                                <th>{{"Tax (%)"|trans}}</th>
                                <th>{{"Price incl tax"|trans}}</th>
                                <th>{{"Row total"|trans}}</th>
                                <th>{{"Canceled"|trans}}</th>
                                <th>{{"Actions"|trans}}</th>
                              </tr>
                            </thead>
                            <tbody class="items_table" data-url="{{path('orders_get_items',{id:order.id})}}">
                             
                            </tbody>
                          </table>
                 </div>
        
           
                   
          </div>
        </div>
    </div> 

{{form_end(form)}}
<div class="row">
    <div class="col-md-6">
        <div class="content-box-header">
            <div class="panel-title">{{"Attached files"|trans}}</div>
          
          <div class="panel-options">
             
          </div>
        </div>
        <div class="content-box-large box-with-header ">
          <div class="file-messages" >
    
          </div>
         <div class="js-append-files">
    
         </div>
    
      </div>
      
    </div>
    <div class="col-md-6">
        <div class="content-box-header">
            <div class="panel-title">{{"Attach files"|trans}}</div>
          
          <div class="panel-options">
             
          </div>
        </div>
        <div class="content-box-large box-with-header">
    
       
                {{generate_dropzone(order,order.id,null,{
                  singular:false
                })}}
 
    
      </div>
    </div>
</div>
<div class="modal fade" id="itemsModal"  role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">{{"Add product"}}</h5>
              
            </div>
            <div class="modal-body">
              <div class="form-messages">
                
              </div>

                  {{form_start(orderItemMovementForm,{"attr":{
                    'novalidate':'novalidate',
                    'data-action':path('orders_add_items',{
                      id:order.id
                    }),
                    'class':'item_movement_form'
                }})}}
      
                {{form_row(orderItemMovementForm.fromWarehouse)}}
      
                {{form_row(orderItemMovementForm.product,{"attr":{
                    "class":"product_select"
                }})}}
      
                {{form_row(orderItemMovementForm.qty)}}
      
                {{form_end(orderItemMovementForm)}}
                
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-primary add_item_btn">{{"Add"|trans}}</button>
              <button type="button" onclick="window.location.reload()" class="btn btn-secondary" data-dismiss="modal">{{"Close"|trans}}</button>
            </div>
          </div>
        </div>
      </div>
      <style>
      span.select2{
          width:100% !important;
      }
      </style>
{% endblock %}
{% block scripts %}

  {{parent()}}

  <script src="{{asset('js/orders.js')}}"></script>
  <script src="{{asset('js/dropzone-generator.js')}}"></script>

{% endblock %}


